## class OSGSIM_EXPORT osgSim::ElevationRange

## Inheritance:

### Public Methods

ElevationRange()
void setElevationRange(float minElevation, float maxElevation, float fadeAngle=0.0f)
float getMinElevation() const
float getMaxElevation() const
float getFadeAngle() const
inline float elevationSector(const osg::Vec3& eyeLocal) const

### Protected Fields

float _cosMinElevation
float _cosMinFadeElevation
float _cosMaxElevation
float _cosMaxFadeElevation

## Documentation

`ElevationRange()`

`void setElevationRange(float minElevation, float maxElevation, float fadeAngle=0.0f)`

`float getMinElevation() const`

`float getMaxElevation() const`

`float getFadeAngle() const`

`inline float elevationSector(const osg::Vec3& eyeLocal) const`

`float _cosMinElevation`

`float _cosMinFadeElevation`

`float _cosMaxElevation`

`float _cosMaxFadeElevation`

Direct child classes:
  ElevationSector
  AzimElevationSector

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.